require_relative 'player'

module StudioGame

  class BeserkPlayer < Player
  
    def initialize(name,health)
      super(name,health)
      @w00ts_count = 0
    end
  
    def beserk?
      @w00ts_count > 5
    end
  
    def w00t
      super
      @w00ts_count += 1
      puts "#{name} is beserk!" if beserk?
    end
  
    def blam
      beserk? ? w00t : super
    end
  
  end

  if __FILE__ == $0
    berserker = BeserkPlayer.new("berserker", 50)
    6.times { berserker.w00t }
    2.times { berserker.blam }
    puts berserker.health
  end
end