require_relative 'player'
require_relative 'die'
require_relative 'treasure_trove'
require_relative 'loaded_die'

module StudioGame
  
  module GameTurn
  
    def self.take_turn(player)
      die_result = Die.new
      number_rolled = die_result.roll
  
      case number_rolled

      when 1..2
        player.blam
      when 3..4
        puts "#{player.name} is skipped"
      else
        player.w00t
      end
  
      treasures = TreasureTrove.random
      player.found_treasure(treasures)
  
    end
  
  end
end